import mysql, { Pool } from 'mysql2/promise';
import { TxnOption } from 'oak-domain/lib/types';
import { MySQLConfiguration } from './types/Configuration';
export declare class MySqlConnector {
    pool: Pool;
    configuration: MySQLConfiguration;
    txnDict: Record<string, mysql.PoolConnection>;
    constructor(configuration: MySQLConfiguration);
    connect(): void;
    disconnect(): Promise<void>;
    startTransaction(option?: TxnOption): Promise<string>;
    exec(sql: string, txn?: string): Promise<[mysql.RowDataPacket[] | mysql.RowDataPacket[][] | mysql.OkPacket | mysql.OkPacket[] | mysql.ResultSetHeader, mysql.FieldPacket[]]>;
    commitTransaction(txn: string): Promise<void>;
    rollbackTransaction(txn: string): Promise<void>;
}
